Summary:        Compute 'intelligent' differences between two files / lists
Name:           perl-Algorithm-Diff
Version:        1.201
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Algorithm-Diff
Source0:        https://cpan.metacpan.org/modules/by-module/Algorithm/Algorithm-Diff-1.201.tar.gz

# Generate provide for perl(Algorithm::DiffOld)
Patch3000:         Algorithm-Diff-1.1903-provides.patch

BuildRequires:  coreutils findutils make strace
BuildRequires:  perl-generators perl-interpreter perl(ExtUtils::MakeMaker) perl(warnings)
BuildRequires:  perl(Carp) perl(Exporter) perl(integer) perl(strict) perl(vars)
BuildRequires:  perl(Data::Dumper) perl(lib) perl(Test)
Requires:       perl(Carp)
BuildArch:      noarch

%description
This is a module for computing the difference between two files, two strings,
or any other two lists of things. It uses an intelligent algorithm similar to
(or identical to) the one used by the Unix "diff" program. It is guaranteed to
find the *smallest possible* set of differences.

%prep
%setup -q -n Algorithm-Diff-1.201

%patch3000

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PRELOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}
rm -f %{buildroot}/usr/lib64/perl5/perllocal.pod

%check
make test

%files
%doc Changes README bin/*.pl
%{perl_vendorlib}/Algorithm/
%{_mandir}/man3/Algorithm::Diff.3*
%{_mandir}/man3/Algorithm::DiffOld.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.201-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 03 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.201-4
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.201-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.201-2
- Rebuilt for OpenCloudOS Stream 23

* Sat Jun 4 2022 gerrylonwan <gerrylonwan@tencent.com> - 1.201-1
- Initial build
